﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Collections.ObjectModel;
using Infragistics.Windows.Themes;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.Controls;

namespace testGridCollection
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        int i = 5;
        BindingList<DemoCustomer> customers;
        BindingList<Cars> cars = new BindingList<Cars>();

        public Window1()
        {


            InitializeComponent();
            customers = new BindingList<DemoCustomer>();
            cars.Add(new Cars("Car1", "Blue"));
            cars.Add(new Cars("Car2", "Black"));
            cars.Add(new Cars("Car3", "Green"));
            cars.Add(new Cars("Car4", "Red"));
            cars.Add(new Cars("Car5", "Orange"));
            customers.Add(new DemoCustomer("Alex", "2222222", new BindingList<Cars>()));
            customers.Add(new DemoCustomer("Peter", "2352222", new BindingList<Cars>()));
            customers.Add(new DemoCustomer("George", "22423222", new BindingList<Cars>()));
            customers.Add(new DemoCustomer("Dimitri", "228672222", new BindingList<Cars>()));
            customers.Add(new DemoCustomer("John", "222675622", new BindingList<Cars>()));
            customers.Add(new DemoCustomer("Alex", "2222222", new BindingList<Cars>()));
            customers.Add(new DemoCustomer("Peter", "2352222", new BindingList<Cars>()));
            customers.Add(new DemoCustomer("George", "22423222", new BindingList<Cars>()));
            customers.Add(new DemoCustomer("Dimitri", "228672222", new BindingList<Cars>()));
            customers.Add(new DemoCustomer("John", "222675622", new BindingList<Cars>()));
            foreach (var c in customers)
            {
                c.CustomerCars = cars;
            }
            xamDataGrid1.UpdateLayout();
            xamDataGrid1.DataSource = customers;

        }

        #region Customer Class
        public class Cars
        {

            public string Color
            { get; set; }
            public string Model
            { get; set; }
            public Cars(string model, string color)
            {
                Model = model;
                Color = color;
            }

        }
        public class DemoCustomer : INotifyPropertyChanged
        {
            private Guid idValue = Guid.NewGuid();
            private string customerNameValue = String.Empty;
            private string phoneNumberValue = String.Empty;
            private BindingList<Cars> customerCars;

            public event PropertyChangedEventHandler PropertyChanged;

            private void NotifyPropertyChanged(String info)
            {
                if (PropertyChanged != null)
                {
                    PropertyChanged(this, new PropertyChangedEventArgs(info));
                }
            }
            public DemoCustomer(string name, string number, BindingList<Cars> cars)
            {
                this.CustomerName = name;
                this.PhoneNumber = number;
                this.CustomerCars = cars;
            }
            private DemoCustomer()
            {
                customerNameValue = "Customer";
                phoneNumberValue = "(555)555-5555";
            }
            public BindingList<Cars> CustomerCars
            {
                get { return customerCars; }
                set { customerCars = value; }
            }

            public static DemoCustomer CreateNewCustomer()
            {
                return new DemoCustomer();
            }

            public Guid ID
            {
                get
                {
                    return this.idValue;
                }
            }

            public string CustomerName
            {
                get
                        {
                    return this.customerNameValue;
                }

                set
                {
                    if (value != this.customerNameValue)
                    {
                        this.customerNameValue = value;
                        NotifyPropertyChanged("CustomerName");
                    }
                }
            }

            public string PhoneNumber
            {
                get
                {
                    return this.phoneNumberValue;
                }

                set
                {
                    if (value != this.phoneNumberValue)
                    {
                        this.phoneNumberValue = value;
                        NotifyPropertyChanged("PhoneNumber");
                    }
                }
            }
        }
        #endregion



    }
}